package com.xkrs.model.vo;

import java.io.Serializable;

/**
 * FileServerResultVo 文件服务器查询结果
 * @author tajochen
 */
public class FileServerResultVo<T> implements Serializable {

    /**
     * 状态信息
     */
    String status;

    /**
     * 提示信息
     */
    String message;

    /**
     * 数据
     */
    T data;

    public FileServerResultVo() {
    }

    public FileServerResultVo(String status, String msg, T data) {
        this.status = status;
        this.message = msg;
        this.data = data;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    @Override
    public String toString() {
        return "FileServerResultVo{" +
                "status='" + status + '\'' +
                ", message='" + message + '\'' +
                ", data=" + data +
                '}';
    }
}
